/* General Section Styling */
@import url("https://fonts.googleapis.com/css2?family=Raleway:ital,wght@0,100..900;1,100..900&family=Roboto:ital,wght@0,100..900;1,100..900&display=swap");

body {
  font-family: "Open Sans", sans-serif;
}
.home-dream-bg {
  position: relative;
  z-index: 2; /* To place content on top of the overlay */
}

.overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(64, 204, 251, 0.4); /* Light blue with transparency */
  z-index: 1;
}
.container {
  max-width: 1200px;
  margin: 0 auto;
}

.home-dream-section {
  text-align: center;
}

.home-dream-section h1 {
  font-size: 36px;
  font-weight: bold;
  color: #b3914a;
  margin-bottom: 40px;
  text-transform: uppercase;
}

/* Container for the home-dream items */
.home-dream-section-cont {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around;
  gap: 30px;
  padding: 20px;
}

.home-dream {
  flex: 0 1 calc(25% - 30px);
  /* background-color: white; */
  padding: 20px;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
  border-radius: 8px;
  text-align: center;
  transition: transform 0.3s ease, box-shadow 0.3s ease;
}

.home-dream:hover {
  transform: translateY(-10px);
  box-shadow: 0 6px 15px rgba(0, 0, 0, 0.15);
}

/* Icon Styling */
.home-dream-ico {
  margin-bottom: 20px;
}

.thumbnail-1-img img {
  max-width: 80px;
  height: auto;
  margin: 0 auto;
  display: block;
  background-color: #b3914a;
  border-radius: 50%;
}

.dis-slider span {
  color: #b3914a;
}
.slider-home {
  position: absolute;
  right: 40%;
  bottom: 20%;
  left: 10%;
  z-index: 10;
  text-align: left;
}

/* Heading under each icon */
.home-dream h2 {
  font-size: 20px;
  font-weight: 600;
  color: #fff;
  margin-top: 15px;
  text-transform: capitalize;
}

.overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(255, 255, 255, 0.4); /* Light color overlay */
  z-index: 1;
}

.home-dream-bg {
  position: relative;
  z-index: 2; /* To place content on top of the overlay */
}

/* For smaller screens (Mobile and Tablet) */
@media (max-width: 768px) {
  .home-dream {
    flex: 0 1 calc(50% - 30px);
  }
}

@media (max-width: 480px) {
  .home-dream {
    flex: 0 1 100%;
  }
  .home-dream-section h1 {
    font-size: 28px;
  }
  .home-dream h2 {
    font-size: 18px;
  }
}

.services.section {
  position: relative;
  background: url("./assets/img/home-dream-bg.png") no-repeat center
    center/cover;
  padding: 40px;
  color: white; /* Adjust text color for visibility */
}

.services.section::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(
    179,
    145,
    74,
    0.7
  ); /* Adjust the last value (0.7) for transparency */
  z-index: 1;
}

.services.section * {
  position: relative;
  z-index: 2;
}

#map {
  height: 500px;
  width: 100%;
}
